package clipboard

import "context"

// Clipboard provides an interface for clipboard operations
type Clipboard interface {
	// Read returns the current clipboard content
	Read() (string, error)
	// Write sets the clipboard content
	Write(content string) error
	// Watch returns a channel that emits clipboard changes
	Watch(ctx context.Context) <-chan string
}
